use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );

$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_password", "password");
$sel->type_ok("Bugzilla_login", "admin\@redhat.com");
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=New");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHEL Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("component", "label=4Suite");
$sel->select_ok("bug_severity", "label=high");
$sel->select_ok("priority", "label=high");
$sel->type_ok("cc", "admin\@redhat.com");
$sel->type_ok("short_desc", "This bug is duplicate for bug 1");
$sel->type_ok("comment", "Description of problem:\n\nThis bugs is created for testing purposes to test closing bugs with duplicates");
$sel->click_ok("commit");
$sel->wait_for_page_to_load_ok("30000");
my $bugid = $sel->is_text_present("Bug 3");
$sel->click_ok("link=Bug 3");
$sel->wait_for_page_to_load_ok("30000");
$sel->type_ok("comment", "testing closing a bug with different resolutions");
my $comment = $sel->get_value("comment");
$sel->select_ok("bug_status", "label=CLOSED");
my $notabug_resolution = $sel->get_text("//option[\@value='NOTABUG']");
my $errata_resolution = $sel->get_text("//option[\@value='ERRATA']");
$sel->click_ok("commit");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=bug 3");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("resolution", "label=CURRENTRELEASE");
$sel->click_ok("dup_id_discoverable_action");
$sel->type_ok("dup_id", "1");
my $duplicate_resolution = $sel->get_text("dup_id_discoverable_action");



if ($duplicate_resolution eq 'on'){
      $duplicate_resolution = 'DUPLICATE';
}
else {
      $duplicate_resolution = '';
}


$T->notes('bug_resolution' => {
                                bugid => $bugid,
                                notabug_resolution => $notabug_resolution,
                                errata_resolution => $errata_resolution,
                                duplicate_resolution => $duplicate_resolution,
                                dupeid => 1,
                                comment => $comment,
                              }
         );

