use strict;
use warnings;
use Time::HiRes qw(sleep);
use Test::WWW::Selenium;
use Test::More "no_plan";
use Test::Exception;
use t::Bugzilla;

my $T = t::Bugzilla->new;

my $notes = $T->notes;

my $sel = Test::WWW::Selenium->new( host => $notes->{host},
                                    browser => $notes->{browser},
                                    browser_url => $notes->{browser_url} );


$sel->open_ok("/rh_bugzilla_3/");
$sel->type_ok("Bugzilla_login", $notes->{admin_username});
$sel->type_ok("Bugzilla_password", $notes->{admin_password});
$sel->click_ok("log_in");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=New");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=RHEL Test Product");
$sel->wait_for_page_to_load_ok("30000");
$sel->select_ok("component", "label=4Suite");
$sel->select_ok("priority", "label=medium");
$sel->type_ok("cc", "admin\@redhat.com");
$sel->type_ok("short_desc", "This bug depends on bug 2 and blocks bug 3");
$sel->type_ok("dependson", "2");
$sel->type_ok("blocked", "3");
my $dependson = $sel->get_value("dependson");
my $blocked = $sel->get_value("blocked");
$sel->click_ok("commit");
$sel->wait_for_page_to_load_ok("30000");
$sel->click_ok("link=Bug 4");
$sel->wait_for_page_to_load_ok("30000");
my $bugid = $sel->is_text_present("Bug 4");


$T->notes( 'depends_info' => {
                               bugid => $bugid,
                               dependson => $dependson,
                               blocked => $blocked,
                            }
         );
